WordPressめもへ戻る

WordPress3.9.1から4.0へのアップグレード

特に問題ありませんでした。

WordPress3.8.3から3.9へのアップグレード

手動でトライしてみましたが、画面が真っ白になってぐうの音も出ませんでした。
PG4WPとの相性かと思ったのですが、違うようです。

wp-includes/wp-db.php の1527行目あたりにある以下の部分をコメントアウトすると動作しました。
3.9.1では1527行目あたり。

お試しあれ!

/*  if ( ! empty( $this->dbh ) ) {
        if ( $this->use_mysqli ) {
            $mysql_errno = mysqli_errno( $this->dbh );
        } else {
            $mysql_errno = mysql_errno( $this->dbh );
        }
    }
*/

WordPress3.3.2から3.4へアップグレード

バージョン3.3.2から3.4へ手動でアップグレードします。
ちなみに自動でアップグレードしてみたらいずれの画面も真っ白になって行き詰まったので手動でやり直しました。
人生そんなに楽はできません。
PG4WPインストール済みです。

$ tar xvzf wordpress-3.4-ja.tar.gz
$ cp -R wordpress/* ./
$ rm -fr wordpress/

あわせてPG4WPもアップグレードが必要っぽいです。
postgresql-for-wordpress.1.3.0.zip

driver_pgsql.php 72行目あたりをコメントアウト

# if( !empty( $dbpass))
# $GLOBALS['pg4wp_connstr'] .= ' password='.$dbpass;
wp-content/plugins/pg4wp/
 core.php
 db.php
 driver_mysql.php
 driver_pgsql.php
 driver_pgsql_install.php

WordPress3.0.4から3.2.1へアップグレード

バージョン3.0.4から3.2.1へ手動でアップグレードします。
PG4WPインストール済みです。

$ tar xvzf wordpress-3.2.1-ja.tar.gz
$ cp -R wordpress/* ./
$ rm -fr wordpress/

あわせてPG4WPもアップグレードが必要っぽいです。
postgresql-for-wordpress.1.2.2.zip

driver_pgsql.php 67行目あたりをコメントアウト

# if( !empty( $dbpass))
# $GLOBALS['pg4wp_connstr'] .= ' password='.$dbpass;
wp-content/plugins/
 db.php

wp-content/plugins/pg4wp/
 core.php
 driver_mysql.php
 driver_pgsql.php
 driver_pgsql_install.php

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2014-09-30 (火) 20:21:55 (1729d)